IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_fieldinfo_standard]') AND type = 'U')
CREATE TABLE [dbo].[pub_fieldinfo_standard]
(
    [fldi_id] int NOT NULL IDENTITY(1, 1),
    [fldi_tbtype] varchar(10) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [fldi_ord2tag] int NULL DEFAULT((0)),
    [fldi_system] int NULL DEFAULT((1)),
    [fldi_fieldname] varchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [fldi_fieldcaption] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [fldi_datatype] varchar(10) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [fldi_ident] int NULL DEFAULT((1)),
    [fldi_size] int NULL DEFAULT((4)),
    [fldi_decimal] int NULL DEFAULT((0)),
    [fldi_default] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [fldi_hidden] int NULL DEFAULT((1)),
    [fldi_tbname] varchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [fldi_key] varchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [fldi_index] varchar(500) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    CONSTRAINT [PK_PUB_FIELDINFO_STANDARD] PRIMARY KEY ([fldi_id] ASC)
)